Skip to main content
GET
/
api
/
v1
/
conversations
/
cURL
curl --request GET \
  --url https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/conversations/ \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/conversations/"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contact": {
        "phoneNumber": "<string>",
        "name": "<string>"
      },
      "activeAgent": "<string>",
      "whatsappNumber": "<string>",
      "chatWindowRemainingTime": "<string>",
      "lastMessage": "<string>",
      "isHumanTakeover": "<string>",
      "active": "<string>",
      "routing": "<string>",
      "webhookId": "<string>",
      "routingOverride": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Authorizations

X-API-Key
string
header
required

API key authentication. Pass your API key in the X-API-Key header.

Query Parameters

agent
string<uuid>
contact
string
Minimum string length: 1
hasUnread
boolean
lastMessageAfter
string<date-time>
lastMessageBefore
string<date-time>
limit
integer

Pagination limit (default 20, max 100)

offset
integer

Pagination offset (default 0)

ordering
enum<string>
default:-last_message_time
  • -last_message_time - -last_message_time
  • last_message_time - last_message_time
  • -created_at - -created_at
  • created_at - created_at
  • -updated_at - -updated_at
  • updated_at - updated_at
Available options:
-last_message_time,
last_message_time,
-created_at,
created_at,
-updated_at,
updated_at
Minimum string length: 1
status
enum<string>
  • active - active
  • closed - closed
Available options:
active,
closed
Minimum string length: 1
whatsappNumber
string

WhatsApp business number

Minimum string length: 1

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"